import { TEMPLATE_DESCRIPTION } from "../common/_module.mjs";
import { INTEGER, STRING } from "../common/field-types.mjs";

const fields = foundry.data.fields;

export default class RdDModelEmpoignade extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return Object.assign({},
      TEMPLATE_DESCRIPTION.fields(),
      {
        empoignadeid: new fields.StringField({ label: "ID empoignade", initial: "", ...STRING }),
        empoigneurid: new fields.StringField({ label: "Empoigneur ID", initial: "", ...STRING }),
        empoigneid: new fields.StringField({ label: "Empoigné ID", initial: "", ...STRING }),
        pointsemp: new fields.NumberField({ label: "Points d'empoignade", initial: 0, ...INTEGER }),
        empoigneurname: new fields.StringField({ label: "Nom empoigneur", initial: "", ...STRING }),
        empoignename: new fields.StringField({ label: "Nom empoigné", initial: "", ...STRING }),
        ausol: new fields.BooleanField({ label: "Au sol", initial: false }),
        immobilise: new fields.BooleanField({ label: "Immobilisé", initial: false }),
      }
    )
  }
}
